[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Variants' (#rtl)

# EVariantBadVarTypeError

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

>Error raised when an invalid variant type is detected

## Declaration

Source position: variants.pp line 39

`type EVariantBadVarTypeError = class(EVariantError)`

## Inheritance

`EVariantBadVarTypeError` |  | >Error raised when an invalid variant type is detected
`EVariantError` |  | Variant error.
`Exception` |  | Base class of all exceptions.
`TObject`

## Description

EVariantBadVarTypeError is the exception raised when the VAR_BADVARTYPE error is encountered in VarResultCheck

## See also

VarResultCheck |  | Check the result of an operation and raise exception if not OK.